## libforms0.89 0.89-6

=== DEMOS/Makefile ===
#
#
# Flags that might be overriden by top makefile
#

CC=cc
CCFLAG=-O 
LDFLAG=-O -s 
SYSLIB=-lX11 -lm


SHELL=/bin/sh

include ../mkconfig.h

# Flags the compiler will see

JPEGLIB=$(JPEG)
#QLIB=-L../quantize-1.0/libquantize -lquantize 

CFLAGS=$(CCFLAG) -I../FORMS $(XINCLUDE) -Ifd 
LDFLAGS = $(LDFLAG) 
LIBS=-L../FORMS -lforms  $(JPEGLIB) $(QLIB) $(SYSLIB)
GLLIBS=-L../FORMS -lforms $(JPEGLIB) -L/usr/local/lib -lGL -lXext $(SYSLIB)


#
DEMOSO= freedraw.o demo.o colsel.o borderwidth.o xyplotover.o\
	pushme.o yesno.o yesno_cb.o pushbutton.o buttonall.o demo05.o \
	demo06.o touchbutton.o colsel1.o ldial.o fdial.o\
	fbrowse1.o flclock.o menu.o free1.o goodies.o boxtype.o\
        sldinactive.o sld_radio.o positioner.o positionerXOR.o arrowbutton.o\
        sldsize.o sliderall.o symbols.o demo27.o browserall.o browserop.o\
        multilabel.o fbrowse.o choice.o demo33.o timer.o fonts.o counter.o\
        chartstrip.o chartall.o minput.o minput2.o longlabel.o secretinput.o\
        objinactive.o rescale.o ndial.o xyplotall.o xyplotactive.o\
	colbrowser.o pup.o pmbrowse.o invslider.o  \
	preemptive.o objreturn.o freedraw_leak.o lalign.o canvas.o\
	iconify.o cursor.o objpos.o strsize.o timerprec.o ll.o \
	inputall.o group.o butttypes.o folder.o popup.o scrollbar.o\
	dirlist.o thumbwheel.o formbrowser.o ibrowser.o iconvert.o
#

DEMOS= ${DEMOSO:.o=} 

all: demoprep ${DEMOS} newbutton 

${DEMOS}: 
	-$(CC) -c $(CFLAGS) $@.c
	-$(CC) $(LDFLAGS) $@.o  -o $@ $(LIBS)

demotest:demotest.o
	-$(CC) $(LDFLAGS) -o $@ demotest.o  $(GLLIBS)
demotest1:demotest1.o
	-$(CC) $(LDFLAGS) -o $@ demotest1.o  $(LIBS)
demotest2:demotest2.o
	-$(CC) $(LDFLAGS) -o $@ demotest2.o  $(LIBS)
demotest3:demotest3.o
	-$(CC) $(LDFLAGS) -o $@ demotest3.o  $(LIBS)

menubar:menubar.o
	-$(CC) $(LDFLAGS) -o $@ menubar.o $(LIBS)

newbutton: newbutton.o crossbut.o crossbut.h
	-$(CC) $(LDFLAGS) -o $@ newbutton.o crossbut.o $(LIBS)

gl: gl.o 
	-$(CC) $(LDFLAGS) -o $@ $?  $(GLLIBS)
glwin:glwin.o 
	-$(CC) $(LDFLAGS) -o $@ $?  $(GLLIBS)

nnn: nnn.o crossbut.o crossbut.h
	-$(CC) $(LDFLAGS) -o $@ nnn.o crossbut.o $(LIBS)

clean:
	-rm -f  *.o core a.out *~

empty: clean
	-rm -f $(DEMOS) 
	-rm -f newbutton nnn elog mlog gl glwin demotest folder menubar\
               demotest1 demotest2 demotest3
	-rm -f old*
	-rm -f *ps
	-rm -f fd/*bak


demoprep:
	-@if [ "$(SHARED_NAME)" != "" ]; then\
           cd ../FORMS;       \
           if [ -f $(SHARED_LIB) ]; then \
                $(LN) $(SHARED_LIB) $(SHARED_NAME);\
           fi;\
        fi

=== debian/changelog ===
libforms0.89 (0.89-6) frozen unstable; urgency=low

  * NMU approved by Michael Meskes <meskes@debian.org> 
  * add glibc2.1 binaries for m68k architecture (since this is a binary-only
    package without source code, m68k did not have a libforms0.89 package).
  * Package now has: 
    glibc2.1 version of 0.89 for i386, powerpc and alpha;
    glibc2.1 version of 0.89.1 for m68k.

 -- Peter S Galbraith <psg@debian.org>  Thu, 18 May 2000 11:51:31 -0400

libforms0.89 (0.89-5) frozen unstable; urgency=low

  * NMU approved by Michael Meskes <meskes@debian.org> 
  * add glibc2.1 binaries for alpha architecture (since this is a binary-only
    package without source code, alpha did not have a libforms0.89 package).
  * update copyright file to point to new web site.
  * minor license change.
  * Package now has: glibc2.1 version for i386, powerpc and alpha;
  
 -- Peter S Galbraith <psg@debian.org>  Thu, 13 Apr 2000 13:40:32 -0400

libforms0.89 (0.89-4) unstable; urgency=low

  * NMU approved by Michael Meskes <meskes@debian.org> 
  * Had omitted symlink libforms.so -> libforms.so.0.89 in -dev package

 -- Peter S Galbraith <psg@debian.org>  Sun,  7 Nov 1999 18:57:04 -0500

libforms0.89 (0.89-3) unstable; urgency=low

  * NMU approved by Michael Meskes <meskes@debian.org> 
  * Removed compatibility symlink libforms.so.0.88->libforms.so.0.89
    because we also need a glibc2.1 version of libforms.so.0.88 since they
    are not fully compatible.  For example, Lyx is broken under V0.89.
  * Removed the `replaces, conflicts, provides: libforms0.88'
    since a glibc2.1 version of libforms0.88 is brought back to life.
  
 -- Peter S Galbraith <psg@debian.org>  Sat, 30 Oct 1999 13:02:41 -0400

libforms0.89 (0.89-2) unstable; urgency=low

  * NMU approved by Michael Meskes <meskes@debian.org> 
  * Added powerpc binaries
  * Hacked rules file to handle all architectures; scheme uses a native
    tar file format, which we will update whenever we add an architecture.
    close #27327: libforms0.88: there are more architectures available  
  * Removed the versioned depends libforms-dev had on libforms0.89 (= 0.89-1)

 -- Peter S Galbraith <psg@debian.org>  Wed, 13 Oct 1999 22:20:49 -0400

libforms0.89 (0.89-1) unstable; urgency=low

  * New upstream version (closes:Bug#43435)
  * Added original source location to copyright file (closes:Bug#44431)
  * Added compatibility symlink libforms.so.0.88->libforms.so.0.89.
  * Switced to latest debhelper tools.

 -- Michael Meskes <meskes@debian.org>  Mon, 27 Sep 1999 15:24:09 +0200

libforms0.88 (0.88.1-2) frozen unstable; urgency=low

  * Resolved file overlap between bo's xforms-dev and hamm's libforms-bin
    with a Replaces:.

 -- Ben Gertzfield <che@debian.org>  Wed, 13 May 1998 13:27:39 -0700

libforms0.88 (0.88.1-1) unstable; urgency=low

  * New upstream version.

 -- Ben Gertzfield <che@debian.org>  Fri,  6 Mar 1998 18:32:11 -0800

libforms0.88 (0.88-4) unstable; urgency=low

  * Whoops, header should be in /usr/X11R6/include/X11, not
    /usr/X11R6/include/. Fixes bug #16691.
  * Commented out dh_du call in debian/rules, le sigh.

 -- Ben Gertzfield <che@debian.org>  Tue, 17 Feb 1998 14:59:07 -0800

libforms0.88 (0.88-3) unstable; urgency=low

  * Added in 'fdesign' program to -dev. Fixes bug #17811.
  * Moved binaries and libraries and headers into /usr/X11R6/. 
    Fixes bug #16691.
  * -dev package now Conflicts: with and Replaces: xforms-dev.
    Fixes bug #16691.

 -- Ben Gertzfield <che@debian.org>  Wed,  4 Feb 1998 17:36:02 -0800

libforms0.88 (0.88-2) unstable; urgency=low

  * Fixed shlibs file to make soname 0.88, not 0.

 -- Ben Gertzfield <che@debian.org>  Fri,  2 Jan 1998 22:12:50 -0800

libforms0.88 (0.88-1) unstable; urgency=low

  * Initial release.
  * No source available; binary only.

 -- Ben Gertzfield <che@debian.org>  Fri,  2 Jan 1998 16:11:09 -0800

Local variables:
mode: debian-changelog
add-log-mailing-address: "meskes@debian.org"
End:

=== debian/control ===
Source: libforms0.89
Section: non-free/libs
Priority: optional
Maintainer: Michael Meskes <meskes@debian.org>
Standards-Version: 3.0.1.1

Package: libforms0.89
Architecture: i386 powerpc alpha m68k
Section: non-free/libs
Depends: ${shlibs:Depends}, xlib6g, xpm4g
Description: The XForms graphical interface widget library
 This package contains the XForms library, version 0.89.
 .
 XForms is available only in binary form; the source is not
 publically released.

Package: libforms-dev
Architecture: i386 powerpc alpha m68k
Section: non-free/devel
Depends: libc6 (>= 2.1), libforms0.89
Suggests: libforms-bin, libforms-doc
Conflicts: xforms-dev, libforms0.88-dev
Replaces: xforms-dev
Description: Header files and static libraries for the XForms widget library
 This package contains the header files and static libraries for the
 XForms library, version 0.89.
 .
 Install this package if you want to develop programs using the XForms
 library.
 .
 XForms is available only in binary form; the source is not publically
 released.

Package: libforms-bin
Architecture: i386 powerpc alpha m68k
Section: non-free/devel
Suggests: libforms-dev
Depends: ${shlibs:Depends}
Conflicts: libforms0.88-bin
Replaces: xforms-dev
Description: Support binaries for the XForms widget library
 This package includes the 'fdesign' XForms GUI designer and the
 'fd2ps' XForms to PostScript programs.
 .
 This package can be handy if you're an XForms developer.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

ARCH=`dpkg --print-architecture`

build: build-stamp
build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean

# Build architecture-independent files here.
binary-indep: build

# Build architecture-dependent files here.
binary-arch: build libforms libforms-dev libforms-bin

libforms: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/X11R6/lib
	# Add here commands to install the files into debian/tmp
	echo "If the following fails, this architecture is not yet supported!"
	cp FORMS/$(ARCH)/libforms.so.0.89 debian/tmp/usr/X11R6/lib
#	(cd  debian/tmp/usr/X11R6/lib; ln -s libforms.so.0.89 libforms.so.0.88)
	dh_installdocs Bugs Readme
	dh_installchangelogs Changes
	dh_strip 
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_makeshlibs -m0.89
#	echo "libforms 0.89 libforms0.89" >> debian/tmp/DEBIAN/shlibs
	dh_md5sums
	dh_builddeb

libforms-dev: build
	dh_testdir -plibforms-dev
	dh_testroot -plibforms-dev
	dh_clean -k -plibforms-dev
	dh_installdirs -plibforms-dev usr/X11R6/lib usr/X11R6/include/X11
	# Add here commands to install the files into debian/tmp
	cp FORMS/$(ARCH)/libforms.a debian/libforms-dev/usr/X11R6/lib
	ln -s libforms.so.0.89 debian/libforms-dev/usr/X11R6/lib/libforms.so
	cp FORMS/forms.h debian/libforms-dev/usr/X11R6/include/X11
	dh_installdocs -plibforms-dev
	dh_installchangelogs -plibforms-dev
	dh_strip -plibforms-dev
	dh_compress -plibforms-dev
	dh_fixperms -plibforms-dev
	dh_installdeb -plibforms-dev
	dh_shlibdeps -plibforms-dev
	dh_gencontrol -plibforms-dev
	dh_md5sums -plibforms-dev
	dh_builddeb -plibforms-dev

libforms-bin: build
	dh_testdir -plibforms-bin
	dh_testroot -plibforms-bin
	dh_clean -k -plibforms-bin
	dh_installdirs -plibforms-bin usr/X11R6/man/man1 \
	  usr/X11R6/man/man5 usr/X11R6/bin
	# Add here commands to install the files into debian/tmp
	cp DESIGN/$(ARCH)/fdesign debian/libforms-bin/usr/X11R6/bin
	cp DESIGN/fdesign.1 debian/libforms-bin/usr/X11R6/man/man1
	cp fd2ps/$(ARCH)/fd2ps debian/libforms-bin/usr/X11R6/bin
	cp fd2ps/fd2ps.1 debian/libforms-bin/usr/X11R6/man/man1
	dh_installdocs -plibforms-bin
	dh_installchangelogs -plibforms-bin
	dh_strip -plibforms-bin
	dh_compress -plibforms-bin
	dh_fixperms -plibforms-bin
	dh_installdeb -plibforms-bin
	dh_shlibdeps -plibforms-bin
	dh_gencontrol -plibforms-bin
	dh_md5sums -plibforms-bin
	dh_builddeb -plibforms-bin

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## libforms0.89 0.89-12

=== Makefile ===
#
# $Id: bmake,v 0.10 1999/07/17 03:24:10 zhao Exp $
#
# Makefile for the entire XFORMs tree. 
#
#  usage: make [demo|install|clean]
#      demo: demo
#   install: copy the library and head file to standard directories.
#     clean: remove all .o files
#     empty: clean + removal of all demo executibles 
#

# all changes should be made in mkconfig.h" 

SYSLIB=-lX11 -lm
SHELL=/bin/sh

FORMHEADER=forms.h
FORMLIB=libforms.a

include mkconfig.h


##### don't change anything after this line ####

demo: 
	@(cd DEMOS; make) 

install:
	@if [ ! -d $(BIN_DIR) ]; then \
             echo "*********" $(BIN_DIR) does not exist "***********";\
             exit 1;\
        fi
	cp FORMS/$(FORMLIB) $(LIB_DIR);chmod $(LIBMODE) $(LIB_DIR)/$(FORMLIB)
	cp DESIGN/fdesign $(BIN_DIR); chmod $(BINMODE) $(BIN_DIR)/fdesign
	cp fd2ps/fd2ps $(BIN_DIR); chmod $(BINMODE) $(BIN_DIR)/fd2ps
	-@if [ "$(SHARED_LIB)" != "" ]; then\
           cp FORMS/$(SHARED_LIB) $(LIB_DIR); \
           chmod $(LIBMODE) $(LIB_DIR)/$(SHARED_LIB);\
           if [ "$(SHARED_NAME)" != "" ]; then\
              $(LN) $(LIB_DIR)/$(SHARED_LIB) $(LIB_DIR)/$(SHARED_NAME);\
           fi \
        fi
	cp FORMS/$(FORMHEADER) $(HEADER_DIR);\
           chmod $(HEADERMODE) $(HEADER_DIR)/$(FORMHEADER)
	cp FORMS/xforms.5 $(MAN5_DIR);  chmod $(MANMODE) $(MAN5_DIR)/xforms.5
	cp DESIGN/fdesign.1 $(MAN1_DIR); chmod $(MANMODE) $(MAN1_DIR)/fdesign.1
	cp fd2ps/fd2ps.1 $(MAN1_DIR); chmod $(MANMODE) $(MAN1_DIR)/fd2ps.1
	cp DEMOS/iconvert.1 $(MAN1_DIR); chmod $(MANMODE) $(MAN1_DIR)/iconvert.1
	@if [ ! -f $(MAN5_DIR)/forms.5 ]; then\
          ln -s $(MAN5_DIR)/xforms.5 $(MAN5_DIR)/forms.5;\
        fi
clean:
	(cd  DEMOS; make $@)
empty:
	(cd  DEMOS; make $@)

=== DEMOS/Makefile ===
--- 
+++ 
@@ -38,7 +38,8 @@
 	preemptive.o objreturn.o freedraw_leak.o lalign.o canvas.o\
 	iconify.o cursor.o objpos.o strsize.o timerprec.o ll.o \
 	inputall.o group.o butttypes.o folder.o popup.o scrollbar.o\
-	dirlist.o thumbwheel.o formbrowser.o ibrowser.o iconvert.o
+	dirlist.o thumbwheel.o formbrowser.o ibrowser.o iconvert.o \
+        itest.o
 #
 
 DEMOS= ${DEMOSO:.o=} 
@@ -73,14 +74,14 @@
 	-$(CC) $(LDFLAGS) -o $@ nnn.o crossbut.o $(LIBS)
 
 clean:
-	-rm -f  *.o core a.out *~
+	-rm -f  *.o core a.out log elog *~
 
 empty: clean
 	-rm -f $(DEMOS) 
 	-rm -f newbutton nnn elog mlog gl glwin demotest folder menubar\
                demotest1 demotest2 demotest3
 	-rm -f old*
-	-rm -f *ps
+	-rm -f *.ps *.ppm
 	-rm -f fd/*bak

=== debian/changelog ===
libforms0.89 (0.89-12) unstable; urgency=low

  * debian/control: added s390 architecture. (closes: #120722)
  * Package now has: 
     glibc2.1 version for i386, powerpc, alpha, m68k, sparc, ia64 and s390.
  * Fix spelling mistake for word 'publicly' (closes: #124946, #124947)

 -- Peter S Galbraith <psg@debian.org>  Mon,  7 Jan 2002 13:38:03 -0500

libforms0.89 (0.89-11) unstable; urgency=low

  * debian/control: added ia64 architecture.
  * debian/rules: use forms.h from each arch instead of always the i386
    version, since the fixlevel version is different (e.g. 0.89.X).
  * Updated binaries for alpha.
  * debian/control: Updated to Standards-Version 3.5.6 without
    changes. The package breaks new X policy because it installs libraries
    under /usr/X11R6/lib and a header file under /usr/X11R6/include/X11.
    I'm hoping that a new 0.90 upstream package will allow me to make the
    transition out of /usr/X11R6 without problems for packages that depend
    on XForms.

 -- Peter S Galbraith <psg@debian.org>  Thu,  8 Nov 2001 15:21:27 -0500

libforms0.89 (0.89-10) unstable; urgency=low

  * debian/control: /usr/X11R6/include/X11/forms.h includes files like
    X11/Xlib.h from xlibs-dev so package libforms-dev needs to depend on
    it.

 -- Peter S Galbraith <psg@debian.org>  Tue,  4 Sep 2001 13:47:29 -0400

libforms0.89 (0.89-9) unstable; urgency=low

  * New maintainer
  * Changed depends from xpm4g to libxpm4 (closes: #70561)
  * Updated to Standards-Version 3.1.1 (Build-Depends)

 -- Peter S Galbraith <psg@debian.org>  Thu, 14 Sep 2000 12:37:47 -0400

libforms0.89 (0.89-8) unstable; urgency=low

  * NMU approved by Michael Meskes <meskes@debian.org> 
  * Added glibc2.1 binaries for sparc.
  * Package now has: 
     glibc2.1 version of 0.89 for i386, powerpc, alpha, m68k and sparc.

 -- Peter S Galbraith <psg@debian.org>  Tue, 15 Aug 2000 09:09:55 -0400

libforms0.89 (0.89-7) unstable; urgency=low

  * NMU approved by Michael Meskes <meskes@debian.org> 
  * Package libforms-dev now depends on libc6-dev instead of libc6 (>= 2.1)
  * Updated i386 binaries and demo sources to current upstream version.
  * Package now has: 
     glibc2.1 version of 0.89 for i386, powerpc and alpha and m68k.

 -- Peter S Galbraith <psg@debian.org>  Mon,  7 Aug 2000 14:11:51 -0400

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: libforms0.89
 Section: non-free/libs
 Priority: optional
-Maintainer: Michael Meskes <meskes@debian.org>
-Standards-Version: 3.0.1.1
+Maintainer: Peter S Galbraith <psg@debian.org>
+Build-Depends: debhelper
+Standards-Version: 3.5.6
 
 Package: libforms0.89
-Architecture: i386 powerpc alpha m68k
+Architecture: i386 powerpc alpha m68k sparc ia64 s390
 Section: non-free/libs
-Depends: ${shlibs:Depends}, xlib6g, xpm4g
+Depends: ${shlibs:Depends}, xlib6g, libxpm4
 Description: The XForms graphical interface widget library
  This package contains the XForms library, version 0.89.
  .
  XForms is available only in binary form; the source is not
- publically released.
+ publicly released.
 
 Package: libforms-dev
-Architecture: i386 powerpc alpha m68k
+Architecture: i386 powerpc alpha m68k sparc ia64 s390
 Section: non-free/devel
-Depends: libc6 (>= 2.1), libforms0.89
+Depends: libc6-dev, libforms0.89, xlibs-dev
 Suggests: libforms-bin, libforms-doc
 Conflicts: xforms-dev, libforms0.88-dev
 Replaces: xforms-dev
@@ -28,11 +29,11 @@
  Install this package if you want to develop programs using the XForms
  library.
  .
- XForms is available only in binary form; the source is not publically
+ XForms is available only in binary form; the source is not publicly
  released.
 
 Package: libforms-bin
-Architecture: i386 powerpc alpha m68k
+Architecture: i386 powerpc alpha m68k sparc ia64 s390
 Section: non-free/devel
 Suggests: libforms-dev
 Depends: ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -53,7 +53,7 @@
 	# Add here commands to install the files into debian/tmp
 	cp FORMS/$(ARCH)/libforms.a debian/libforms-dev/usr/X11R6/lib
 	ln -s libforms.so.0.89 debian/libforms-dev/usr/X11R6/lib/libforms.so
-	cp FORMS/forms.h debian/libforms-dev/usr/X11R6/include/X11
+	cp FORMS/$(ARCH)/forms.h debian/libforms-dev/usr/X11R6/include/X11
 	dh_installdocs -plibforms-dev
 	dh_installchangelogs -plibforms-dev
 	dh_strip -plibforms-dev
